%%
%% Routine: Encoded text
%% (see demo17.png) 
%%
% create encoded text as html-file
%%

examplePlot='edemo3';
plotOutput='demo3.eps';
demoFile='demo17c.html';
demoFileEncoded='demo17.html';


% create eps-file
noDemoShow=1;
eval(examplePlot);

% create html-file
ehtmlnew(demoFile,[0.98 0.98 0.9]);
ehtmladdtxt(demoFile,'<h1> Top Secrect </h1>'); % title
ehtmladdeps(demoFile,plotOutput); % include eps-file
delete(plotOutput);

% create encoded html-file
password='hokuspokus3cat';
title='Demo of encoded text<br>as html-file';
legend=['Type the password: <b>' password '</b>'];
etxt2shtml(demoFile,demoFileEncoded,password,title,legend);
delete(demoFile);

% start browser with result
filePath=pwd;
ebrowse(['file:///' filePath '/' demoFileEncoded])
